QGIS Application - Bug report #15126
style dock: labeling's priority slider broken
2016-06-23 10:13 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression
Assignee: Nathan Woodrow
Category: Unknown
Affected QGIS version:master

Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23067

Description

The labeling's priority slider is broken when set through the style dock’s live update.

Steps to reproduce
1. Create a new project, add a vector layer
2. Open the style dock, activate labeling

3. Go to the labeling's position tab, and change the priority slider

4. Don't hit [ apply ], close the style dock

5. Re-open the style dock, you'll notice the priority slider is reset back to the default value

Associated revisions

Revision 88fc149d - 2016-06-26 11:00 AM - Nyall Dawson

Fix labeling priority slider not working with style dock (fix #15126)

Also remove a lot of unnecessary duplicate connections

History

#1 - 2016-06-26 02:04 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"88fc149d59f9ed08729aa6431767b43791967478".

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
